package kr.co.compcareworker.Data.Company.Machine.Product;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

public class ProductData implements Serializable {
    @SerializedName("pd_idx")
    @Expose
    private String pdIdx;
    @SerializedName("pd_code")
    @Expose
    private String pdCode;
    @SerializedName("ag_idx")
    @Expose
    private String agIdx;
    @SerializedName("pd_type")
    @Expose
    private String pdType;
    @SerializedName("pd_short_name")
    @Expose
    private String pdShortName;
    @SerializedName("pd_spec")
    @Expose
    private String pdSpec;
    @SerializedName("pd_name")
    @Expose
    private String pdName;
    @SerializedName("pd_pressure")
    @Expose
    private Object pdPressure;
    @SerializedName("pd_voltage")
    @Expose
    private Object pdVoltage;
    @SerializedName("pd_frequency")
    @Expose
    private Object pdFrequency;
    @SerializedName("pd_weight")
    @Expose
    private Object pdWeight;
    @SerializedName("pd_cold")
    @Expose
    private Object pdCold;
    @SerializedName("pd_play")
    @Expose
    private Object pdPlay;
    @SerializedName("pd_inout")
    @Expose
    private Object pdInout;
    @SerializedName("pd_memo")
    @Expose
    private String pdMemo;
    @SerializedName("pd_supply_price")
    @Expose
    private Object pdSupplyPrice;
    @SerializedName("pd_price")
    @Expose
    private Object pdPrice;
    @SerializedName("pd_customer_price")
    @Expose
    private Object pdCustomerPrice;
    @SerializedName("pd_buyer")
    @Expose
    private String pdBuyer;
    @SerializedName("pd_buyer_code")
    @Expose
    private String pdBuyerCode;
    @SerializedName("pd_clone")
    @Expose
    private Object pdClone;
    @SerializedName("pd_gu")
    @Expose
    private Object pdGu;
    @SerializedName("pd_ttype")
    @Expose
    private String pdTtype;
    @SerializedName("pd_product")
    @Expose
    private Object pdProduct;
    @SerializedName("pd_oil_type")
    @Expose
    private Object pdOilType;
    @SerializedName("pd_size")
    @Expose
    private String pdSize;
    @SerializedName("ins_dt")
    @Expose
    private String insDt;
    @SerializedName("del_flag")
    @Expose
    private String delFlag;
    @SerializedName("photo1")
    @Expose
    private String photo1;
    @SerializedName("ori_pd_idx")
    @Expose
    private String oriPdIdx;
    @SerializedName("pd_type_str")
    @Expose
    private String pdTypeStr;
    @SerializedName("pd_ttype_str")
    @Expose
    private String pdTtypeStr;
    @SerializedName("pd_pressure_str")
    @Expose
    private String pdPressureStr;
    @SerializedName("pd_voltage_str")
    @Expose
    private String pdVoltageStr;
    @SerializedName("pd_gu_str")
    @Expose
    private String pdGuStr;
    @SerializedName("pd_product_arr")
    @Expose
    private List<Object> pdProductArr = null;
    @SerializedName("pd_product_name_arr")
    @Expose
    private List<Object> pdProductNameArr = null;
    @SerializedName("pd_product_name_str")
    @Expose
    private String pdProductNameStr;
    @SerializedName("pd_buyer_str")
    @Expose
    private String pdBuyerStr;
    @SerializedName("inven_yn")
    @Expose
    private String invenYn;
    @SerializedName("pd_margin")
    @Expose
    private String pdMargin;
    @SerializedName("price")
    @Expose
    private String price;
    @SerializedName("inven_cnt")
    @Expose
    private String invenCnt;

    public String getPdIdx() {
        return pdIdx;
    }

    public void setPdIdx(String pdIdx) {
        this.pdIdx = pdIdx;
    }

    public String getPdCode() {
        return pdCode;
    }

    public void setPdCode(String pdCode) {
        this.pdCode = pdCode;
    }

    public String getAgIdx() {
        return agIdx;
    }

    public void setAgIdx(String agIdx) {
        this.agIdx = agIdx;
    }

    public String getPdType() {
        return pdType;
    }

    public void setPdType(String pdType) {
        this.pdType = pdType;
    }

    public String getPdShortName() {
        return pdShortName;
    }

    public void setPdShortName(String pdShortName) {
        this.pdShortName = pdShortName;
    }

    public String getPdSpec() {
        return pdSpec;
    }

    public void setPdSpec(String pdSpec) {
        this.pdSpec = pdSpec;
    }

    public String getPdName() {
        return pdName;
    }

    public void setPdName(String pdName) {
        this.pdName = pdName;
    }

    public Object getPdPressure() {
        return pdPressure;
    }

    public void setPdPressure(Object pdPressure) {
        this.pdPressure = pdPressure;
    }

    public Object getPdVoltage() {
        return pdVoltage;
    }

    public void setPdVoltage(Object pdVoltage) {
        this.pdVoltage = pdVoltage;
    }

    public Object getPdFrequency() {
        return pdFrequency;
    }

    public void setPdFrequency(Object pdFrequency) {
        this.pdFrequency = pdFrequency;
    }

    public Object getPdWeight() {
        return pdWeight;
    }

    public void setPdWeight(Object pdWeight) {
        this.pdWeight = pdWeight;
    }

    public Object getPdCold() {
        return pdCold;
    }

    public void setPdCold(Object pdCold) {
        this.pdCold = pdCold;
    }

    public Object getPdPlay() {
        return pdPlay;
    }

    public void setPdPlay(Object pdPlay) {
        this.pdPlay = pdPlay;
    }

    public Object getPdInout() {
        return pdInout;
    }

    public void setPdInout(Object pdInout) {
        this.pdInout = pdInout;
    }

    public String getPdMemo() {
        return pdMemo;
    }

    public void setPdMemo(String pdMemo) {
        this.pdMemo = pdMemo;
    }

    public Object getPdSupplyPrice() {
        return pdSupplyPrice;
    }

    public void setPdSupplyPrice(Object pdSupplyPrice) {
        this.pdSupplyPrice = pdSupplyPrice;
    }

    public Object getPdPrice() {
        return pdPrice;
    }

    public void setPdPrice(Object pdPrice) {
        this.pdPrice = pdPrice;
    }

    public Object getPdCustomerPrice() {
        return pdCustomerPrice;
    }

    public void setPdCustomerPrice(Object pdCustomerPrice) {
        this.pdCustomerPrice = pdCustomerPrice;
    }

    public String getPdBuyer() {
        return pdBuyer;
    }

    public void setPdBuyer(String pdBuyer) {
        this.pdBuyer = pdBuyer;
    }

    public String getPdBuyerCode() {
        return pdBuyerCode;
    }

    public void setPdBuyerCode(String pdBuyerCode) {
        this.pdBuyerCode = pdBuyerCode;
    }

    public Object getPdClone() {
        return pdClone;
    }

    public void setPdClone(Object pdClone) {
        this.pdClone = pdClone;
    }

    public Object getPdGu() {
        return pdGu;
    }

    public void setPdGu(Object pdGu) {
        this.pdGu = pdGu;
    }

    public String getPdTtype() {
        return pdTtype;
    }

    public void setPdTtype(String pdTtype) {
        this.pdTtype = pdTtype;
    }

    public Object getPdProduct() {
        return pdProduct;
    }

    public void setPdProduct(Object pdProduct) {
        this.pdProduct = pdProduct;
    }

    public Object getPdOilType() {
        return pdOilType;
    }

    public void setPdOilType(Object pdOilType) {
        this.pdOilType = pdOilType;
    }

    public String getPdSize() {
        return pdSize;
    }

    public void setPdSize(String pdSize) {
        this.pdSize = pdSize;
    }

    public String getInsDt() {
        return insDt;
    }

    public void setInsDt(String insDt) {
        this.insDt = insDt;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getPhoto1() {
        return photo1;
    }

    public void setPhoto1(String photo1) {
        this.photo1 = photo1;
    }

    public String getOriPdIdx() {
        return oriPdIdx;
    }

    public void setOriPdIdx(String oriPdIdx) {
        this.oriPdIdx = oriPdIdx;
    }

    public String getPdTypeStr() {
        return pdTypeStr;
    }

    public void setPdTypeStr(String pdTypeStr) {
        this.pdTypeStr = pdTypeStr;
    }

    public String getPdTtypeStr() {
        return pdTtypeStr;
    }

    public void setPdTtypeStr(String pdTtypeStr) {
        this.pdTtypeStr = pdTtypeStr;
    }

    public String getPdPressureStr() {
        return pdPressureStr;
    }

    public void setPdPressureStr(String pdPressureStr) {
        this.pdPressureStr = pdPressureStr;
    }

    public String getPdVoltageStr() {
        return pdVoltageStr;
    }

    public void setPdVoltageStr(String pdVoltageStr) {
        this.pdVoltageStr = pdVoltageStr;
    }

    public String getPdGuStr() {
        return pdGuStr;
    }

    public void setPdGuStr(String pdGuStr) {
        this.pdGuStr = pdGuStr;
    }

    public List<Object> getPdProductArr() {
        return pdProductArr;
    }

    public void setPdProductArr(List<Object> pdProductArr) {
        this.pdProductArr = pdProductArr;
    }

    public List<Object> getPdProductNameArr() {
        return pdProductNameArr;
    }

    public void setPdProductNameArr(List<Object> pdProductNameArr) {
        this.pdProductNameArr = pdProductNameArr;
    }

    public String getPdProductNameStr() {
        return pdProductNameStr;
    }

    public void setPdProductNameStr(String pdProductNameStr) {
        this.pdProductNameStr = pdProductNameStr;
    }

    public String getPdBuyerStr() {
        return pdBuyerStr;
    }

    public void setPdBuyerStr(String pdBuyerStr) {
        this.pdBuyerStr = pdBuyerStr;
    }

    public String getInvenYn() {
        return invenYn;
    }

    public String getPdMargin() {
        return pdMargin;
    }

    public void setPdMargin(String pdMargin) {
        this.pdMargin = pdMargin;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getInvenCnt() {
        return invenCnt;
    }

    public void setInvenCnt(String invenCnt) {
        this.invenCnt = invenCnt;
    }
}
